(*
"InOutPas.pas": programma PASCAL di esempio per input/output da/su file;
                legge da un file di input 5 numeri, li memorizza su un vettore,
                li raddoppia, li memorizza sul file di output
                (prof. Claudio Maccherani, a.s. 2006-2007)
*)
program InOutPas;

const
     DEBUG=true;
var
   v: array [1..5] of longint; // Array dei dati da raddoppiare
   fin,fout: text;             // File di input e di output
   i: byte;                    // contatore

procedure inx; // legge i dati di input dal file "input.txt"
begin
   assign(fin,'input.txt'); // assegna a fin il nome del file di input
   reset(fin);              // apre il file (che deve essere presente)
   for i:=1 to 5 do
      begin
          read(fin,v[i]);
          writeln(v[i]);
      end;
   close(fin);
end;

procedure outx; // memorizza il risultato sul file "output.txt"
begin
     assign(fout,'output.txt'); // assegna a fout il nome del file di output
     rewrite(fout);             // crea il file (se esiste lo azzera)
     for i:=1 to 5 do
        begin
            writeln(fout,v[i]);
            writeln(v[i]);
        end;
     close(fout);
end;

procedure elabora; // elaborazione dati (qui "raddoppia" il vettore)
var i: byte;
begin
   for i:=1 to 5 do
      v[i] := v[i] * 2;
   writeln('raddoppio ogni elemento del vettore"');
end;

(*** MAIN ***)
begin
     writeln('Programma Pascal di Input/Output da/su file');
     writeln('*** a - lettura dei dati dal file di input');
     inx;     // lettura dei dati dal file di input
     writeln('*** b - elaborazione dei dati');
     elabora; // elaborazione dei dati
     writeln('*** c - memorizzazione del risultato sul file di output');
     outx;    // memorizzazione del risultato sul file di output
end.
